import 'package:flutter/material.dart';
import 'package:zhiying_base_widget/widgets/goods_details/slide_banner/goods_details_slide_banner_sk.dart';
import 'package:zhiying_base_widget/widgets/goods_details/slide_banner/goods_details_slide_banner_widget.dart';
import 'package:zhiying_comm/zhiying_comm.dart';

///
/// 可以滚动Banner
///
class HomeSlideBannerCreater extends WidgetCreater {
  @override
  List<Widget> createSkeleton(Map<String, dynamic> model) {
    return [GoodsDetailsSlideBannerSkeleton()];
  }

  @override
  List<Widget> createWidgets(Map<String, dynamic> model) {
    return [GoodsDetailsSlideBannerWidget(model)];
  }
}
